<?php
session_start();

   /***********************************************************************
   *    Copyright  2002, 2003 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/


?>
<html>
<head>
  <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
</head>
<body onLoad="setTimeout('nextPage()', 1000)">
HELLO
<?php
  include "iocommand.php";
  $pid = $_REQUEST["pid"];
  $tc = $_REQUEST["tc"];
  $testErrors = "";
  $testStatus = "";
  $statusCommand = sprintf("<getProcessStatus processID='%s' />", $pid);

  ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagstc", $statusCommand, $testStatus, $testErrors);
  $testStatusDoc = new DomDocument($testStatus);
  echo htmlentities($testStatusDoc->html_dump_mem());
  $testStatusXml = $testStatusDoc->document_element();
  $testStatusXpath = xpath_new_context($testStatusXml);
  $percentComplete = $testStatusXml->get_attribute("percentComplete");
  $state = $testStatusXml->get_attribute("state");
  if (strlen($percentComplete) == 0)
    $percentComplete = 0;

  // if the state is "submitted", it hasn't started, and we won't have any other information
  if ($state == "submitted")
  {
    printf("<center><b>test %s</b></center><br>\n", $state);
    printf("<center><b>%s%%</b></center><br>\n", $percentComplete);
  }

  else
  {
    $diagUpdates = xpath_eval($testStatusXpath, "/diagUpdate");
    $diagEvents =  xpath_eval($testStatusXpath, "/diagEvent");
    $testName =  $diagUpdates->nodeset[0]->get_attribute("test");
    $testDecription =  $diagEvents->nodeset[0]->get_attribute("description");
  
    printf("<center><b>%s %s</b></center><br>\n", $testDecription, $state);
    printf("<center><b>%s%%</b></center><br>\n", $percentComplete);
    if ($percentComplete >= 100)
    {
      $testResult = "";
      $resultCommand = sprintf("<getProcessResult processID='%s' />", $pid);
      ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagstc", $resultCommand, $testResult, $testErrors);
      $testResultDoc = new DomDocument($testResult);
      $testResultXml = $testResultDoc->document_element();
      $testResultXpath = xpath_new_context($testResultXml);
      $testResults = xpath_eval($testResultXpath, "/testResult");

      $currentState = $testResults->nodeset[0]->get_attribute("currentState");
      $testTime = $testResults->nodeset[0]->get_attribute("testTime");
      printf("<center><b>%s</b></center><br>\n", $currentState);
      printf("<center><b>Test Time: %s</b></center><br>\n", $testTime);
    }
    if ($state != "running")
      printf("<center><a href='testselect.php?tc=%s'><b>Run more tests</b></a></center><br>\n", $tc);
  }
?>

<script language="JavaScript">
function nextPage()
{
<?php
  if ($state == "running" || $state == "submitted")
    printf("    window.location = 'teststatus.php?pid=%s&tc=%s';\n", $pid, $tc);
?>
}
</script>

<script language="Javascript" src="norightclick.js"></script></body>
</html>
